package com.fr.plugin.bi.fusion.web;

import com.finebi.foundation.api.web.component.AssembleComponentFactory;
import com.fr.decision.fun.impl.AbstractWebResourceProvider;
import com.fr.web.struct.Atom;
import com.fr.web.struct.Component;
import com.fr.web.struct.browser.RequestClient;
import com.fr.web.struct.category.ParserType;
import com.fr.web.struct.category.ScriptPath;

/**
 * @Author ezreal
 * @Date 2023/5/8 11:12
 * @Version 10.0
 */
public class EditReportWebBridge extends AbstractWebResourceProvider {
    @Override
    public Atom attach() {
        return AssembleComponentFactory.getReportComponent();
    }

    @Override
    public Atom client() {
        return new Component() {
            @Override
            public ScriptPath script(RequestClient req) {
                return ScriptPath.build("com/fr/plugin/bi/web/js/edit.report.js", ParserType.DYNAMIC);
            }
        };
    }
}
