/**
 * bi.subject的魔改
 */
;!(function () {
    /**
     * 新增路由，可以切换在当前的组件
     * important
     */
    BI.Plugin.configRender("bi.subject", function (renderObject) {
        var childrenItems = ((renderObject.routes)[0]).children;
        var reportRoute = BI.find(childrenItems, function (index, item) {
            return item.name === "subject_report";
        });
        var subjectEntryType = 0;//默认编辑
        if (reportRoute) {
            try {
                subjectEntryType = reportRoute.components.analysis.subjectEntryType
            } catch (e) {
            }
        }

        BI.each(BI.Front.SUPPORT_REPORT, function (index, item) {
            childrenItems.push(createRoute(item.route.edit,subjectEntryType));
        })

        function createRoute(route, subjectEntryType) {
            route.components.analysis.subjectEntryType = subjectEntryType;
            return route;
        }

        return renderObject;
    });
})();